# `avdweb_CodeDebugScope` - Arduino Fast Debug Oscilloscope
## When should you use the Fast Oscilloscope library?
When conventional debugging via the serial monitor isn't feasible.

When the data is too fast for the serial monitor.

When oscilloscope functionality is required.

## Eliminating the disruption of the program by the serial monitor
It is not always possible to debug Arduino programs by the serial monitor, as this disrupts the progress of the program. That's why I developed the Fast Oscilloscope, it has helped me with a lot with complex projects.

See the website:
http://www.avdweb.nl/arduino/libraries/oscilloscope.html

## Developer Note

Please run code formatting before committing the code.

```sh
clang-format -i src/*.* examples/**/*.ino
```

## License

`SPDX: GPL-3.0-or-later`

`CodeDebugScope` - Arduino Fast Debug Oscilloscope Library.

Copyright (C) 2016-2024 Albert van Dalen <http://www.avdweb.nl>

Copyright (C) 2024 Abhijit Bose (aka. Boseji) :contributor:

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.
